Add a person to a space you moderate
POST /api/member/communities/{communityId}/spaces/{spaceId}/members. Add a person to a space you moderate. Headless LMS Communities API reference.
For a moderator who is a member of the community. Places another member straight into the space, with no request or invitation. 409 when the space is open to all members, the person is already placed, or the space is full.
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/member/communities/string/spaces/string/members" \ -H "Content-Type: application/json" \ -d '{ "orgUserId": "string" }'{ "orgId": "string", "id": "string", "communityId": "string", "spaceId": "string", "orgUserId": "string", "status": "requested", "source": "request", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}List the members of a space GET
GET /api/member/communities/{communityId}/spaces/{spaceId}/members. List the members of a space. Headless LMS Communities API reference.
Ask to join a space POST
POST /api/member/communities/{communityId}/spaces/{spaceId}/requests. Ask to join a space. Headless LMS Communities API reference.